package hsmw.jotto5.beleg;

import java.util.ArrayList;

/**
 * Beschreibt eine Gruppe von Resourcen.
 * 
 * Speichert Referenzen auf die Elemente als UIDs in einem Array.
 */
public class Group extends Resource {

	private ArrayList<String> members;
	
	/**
	 * Fügt eine Ressource in die Gruppe zu.
	 *
	 * Prüft nicht, ob die Ressource bereits in der Gruppe enthalten ist.
	 */
	public void addMember(String uid) {
		members.add(uid);
	}

}
