package hsmw.jotto5.beleg;

import java.util.ArrayList;

/**
 * Das Model der Anwendung.
 *
 * Stellt einfache Abfragen bereit und verwaltet die Anbindung an ein Speicher-Backend.
 * Zugriff auf Daten ist Thread-sicher. Um ständiges Zusammenbauen von Objekten
 * zu vermeiden und um besser vom eigentlichen Backend zu abstrahieren sind viele
 * einfache Abfragen als Methode umgesetzt.
 * <p>
 * Denkbar ist zum Beispiel eine Implementation auf LDAP-Basis.
 */
public class Model {

	private ArrayList<Student> students;
	private ArrayList<Resource> resources;
	private ArrayList<Group> groups;

	/**
	 * Initialisiert ein leeres Model.
	 */
	public Model() {
		students = new ArrayList<Student>();
		resources = new ArrayList<Resource>();
		groups = new ArrayList<Group>();
	}

}
